Bug 881841 - augeas: migration to /etc/hostname, /etc/vconsole.conf, /etc/locale.conf
augeas: migration to /etc/hostname, /etc/vconsole.conf, /etc/locale.conf
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: augeas (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lutterkort
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 881785
  Show dependency treegraph
 
Reported: 2012-11-29 11:39 EST by Michal Schmidt
Modified: 2013-04-30 19:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-14 21:24:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
update shellvars incl list (555 bytes, patch)
2012-12-06 05:18 EST, Dominic Cleal
no flags Details | Diff

  None (edit)
Description Michal Schmidt 2012-11-29 11:39:25 EST
We're migrating away from:
 /etc/sysconfig/network (the HOSTNAME=... setting)
 /etc/sysconfig/keyboard
 /etc/sysconfig/i18n
to:
 /etc/hostname
 /etc/vconsole.conf
 /etc/locale.conf

See the tracker bug 881785 for details.

I am not very familiar with augeas, but it seems to me as a kind of software that has to be updated for changes in locations and formats of configuration files.

For instance, augeas-0.10.0/lenses/shellvars.aug references "i18n" and "keyboard".

Please consider doing any changes necessary to handle the new config files.
Comment 1 Dominic Cleal 2012-12-06 05:18:59 EST
Created attachment 658646 [details]
update shellvars incl list

Augeas is a parser, so we'll just need to make sure it can support the new formats.  It'll be up to higher level programs to use Augeas to edit the right file.

/etc/hostname has a lens in 0.10.0-5.fc18 already, so that'll just work.

/etc/locale.conf and vconsole.conf are Shellvars compatible, so I've added them in 2cb8db0c upstream.  The attached patch should apply against the F18 package and adds shellvars files present in a base F18 install.
Comment 2 Fedora Update System 2013-01-04 16:27:12 EST
augeas-1.0.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/augeas-1.0.0-1.fc18
Comment 3 Fedora Update System 2013-01-05 16:54:56 EST
Package augeas-1.0.0-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing augeas-1.0.0-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-0297/augeas-1.0.0-1.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-01-14 21:24:11 EST
augeas-1.0.0-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.